查询消费聚合记录

按固定 10 分钟窗口汇总计费用量费用,并返回参与聚合的来源记录。

GET https://billing.moi.matrixorigin.cn/api/v1/billing/accounts/$ACCOUNT_ID/transaction-aggregates

调用前准备

  1. 准备计费账户所属用户的有效个人访问令牌

  2. 调用查询当前账户接口,获取目标账户的 ID。

请求示例

将示例中的 $MOI_PERSONAL_ACCESS_TOKEN$ACCOUNT_ID 分别替换为个人访问令牌和所选账户的 ID。

curl -X GET \
  "https://billing.moi.matrixorigin.cn/api/v1/billing/accounts/$ACCOUNT_ID/transaction-aggregates?page_size=2" \
  -H "X-API-Key: $MOI_PERSONAL_ACCESS_TOKEN"

路径参数

参数

类型

是否必填

说明

accountID

string

目标账户的 ID,取自“查询当前账户”响应中的 items[].billing_account_id

查询参数

参数

类型

是否必填

说明

from

string

按记录创建时间筛选的起点,包含该时刻;支持 RFC 3339、YYYY-MM-DD 或 Unix 秒字符串。省略时从包含当天在内的最近 30 天起点开始。

to

string

按记录创建时间筛选的终点,不包含该时刻。日期值扩展到所选日期的次日零点。省略时使用计费时区的明日零点。

timezone

string

IANA 时区;省略时使用账户地区的计费时区。

period

string

按入账账期筛选,格式为 YYYY-MM

meter_code

string

按计量项代码筛选。

billing_item_code

string

按计费项代码筛选;与 meter_code 同时提供时须匹配同一计量项。

workspace_id

string

按用量事件所属工作区筛选。

status

string

按用量记录状态筛选;查询已扣费记录时使用 charged。省略时不按状态筛选。

subject_type

string

按账户归属主体类型筛选。

subject_id

string

按账户归属主体 ID 筛选。

q

string

搜索计费用量记录 ID、用量事件 ID、计量项代码或事件键,不区分大小写。

search

string

q 的兼容参数,仅在 q 为空时使用。

page_size

integer

每页数量,1–100;省略、非正数或大于 100 时使用 50。

page_token

string

下一页标记。首次请求省略;后续使用响应的 next_page_token

成功响应

请求成功时返回 HTTP 200 和消费聚合记录及其关联的用量和费用。

{
  "items": [
    {
      "aggregation_window_key": "window_example",
      "billing_account_id": "billing_account_example",
      "window_start": "2026-09-01T00:00:00+08:00",
      "window_end": "2026-09-01T00:10:00+08:00",
      "window_start_unix": 1788192000,
      "window_end_unix": 1788192600,
      "net_credit": "0.900000000000",
      "gross_credit": "1.000000000000",
      "discount_credit": "0.100000000000",
      "source_record_ids": [
        "rated_record_example"
      ],
      "source_record_count": 1,
      "meter_codes": [
        "meter_example"
      ],
      "workspace_ids": []
    }
  ],
  "total": 1,
  "next_page_token": ""
}

字段

类型

说明

items

array of object

本次返回的记录。

items[].aggregation_window_key

string

10 分钟聚合窗口标识。

items[].billing_account_id

string

Billing 账户 ID。

items[].window_start

string

窗口起点,RFC 3339 时间。

items[].window_end

string

窗口终点,不包含该时刻。

items[].window_start_unix

integer

窗口起点,Unix 秒。

items[].window_end_unix

integer

窗口终点,Unix 秒。

items[].net_credit

string

折扣后费用,单位为 Credit。

items[].gross_credit

string

折扣前费用,单位为 Credit。

items[].discount_credit

string

折扣抵扣,单位为 Credit。

items[].source_record_ids

array of string

参与聚合的计费用量记录 ID。

items[].source_record_count

integer

参与聚合的记录数。

items[].meter_codes

array of string

窗口包含的计量项代码。

items[].workspace_ids

array of string

窗口包含的工作区 ID。

total

integer

符合筛选条件的总记录数。

next_page_token

string

下一页标记;空字符串表示没有下一页。

字段路径中的 [] 表示数组中的每一项。例如,items[].aggregation_window_key 表示数组中每一项的对应字段。

继续查询时,将响应中的 next_page_token 保存为 $NEXT_PAGE_TOKEN,保持筛选条件不变。标记为空时停止翻页。

curl -X GET \
  "https://billing.moi.matrixorigin.cn/api/v1/billing/accounts/$ACCOUNT_ID/transaction-aggregates?page_size=2&page_token=$NEXT_PAGE_TOKEN" \
  -H "X-API-Key: $MOI_PERSONAL_ACCESS_TOKEN"

错误响应

缺少认证信息时返回 HTTP 401,请提供有效的个人访问令牌。

{
  "code": "unauthenticated",
  "message": "missing bearer token",
  "error": "missing bearer token"
}

字段

类型

说明

code

string

错误代码。

message

string

错误说明。

error

string

兼容错误说明,与 message 内容相同。

最后更新于